Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface AffinePlacement

All Superinterfaces:
  Placement

    @UML(identifier="GM_AffinePlacement",
         specification=ISO_19107)
    public interface AffinePlacement

extends Placement

A placement defined by linear transformation from the parameter space to the target coordinate space. In 2-dimensional Cartesian parameter space, (u, v), transforms into a 3-dimensional coordinate reference system, (x, y, z), by using an affine transformation, (u, v) → (x, y, z), which is defined:

(TODO: paste the matrix here)

Then, given this equation, the `getLocation()` method returns the direct position (x0, y0, z0), which is the target position of the origin in (u, v). The two reference directions (ux, uy, uz) and (vx, vy, vz) are the target directions of the unit basis vectors at the origin in (u, v).

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`Position` | `getLocation()` Gives the target of the parameter space origin.
`double[]` | `getReferenceDirection(int dimension)` Gives the target directions for the coordinate basis vectors of the parameter space.

Methods inherited from interface Placement
`getInDimension, getOutDimension, transform`

Method Detail

### getLocation

    @UML(identifier="location",
         obligation=MANDATORY,
         specification=ISO_19107)
    Position getLocation()

  Gives the target of the parameter space origin. This is the vector (x0, y0, z0) in the formulae in the class description.

### getReferenceDirection

    @UML(identifier="refDirection",
         obligation=MANDATORY,
         specification=ISO_19107)
    double[] getReferenceDirection(int dimension)

  Gives the target directions for the coordinate basis vectors of the parameter space. These are the columns of the matrix in the formulae given in the class description. The number of directions given shall be `inDimension`. The dimension of the directions shall be `outDimension`.

  Parameters:
    `dimension` - The in dimension, as an index from 0 inclusive to `inDimension` exclusive.
  Returns:
    The direction as an array of length `outDimension`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.